import * as React from "react";
import SettingOpytionsPict from "./settingOpytionsPict";
import HelpQuestions from "../helpQuestions";
import { QuizQuestionImages } from "@model/questionTypes/images";

interface Props {
    switchState: string;
    question: QuizQuestionImages;
}

export default function SwitchAnswerOptionsPict({
    switchState = "setting",
    question,
}: Props) {
    switch (switchState) {
        case "setting":
            return <SettingOpytionsPict question={question} />;
        case "help":
            return <HelpQuestions question={question} />;
        default:
            return <></>;
    }
}
